#!/bin/sh
####

# /www/cgi-bin/config/config2.sh

# Remove the old script file
#rm /tmp/config3.sh >> /dev/null

# Build the new script file
#---------------------------------------------------
cat > /tmp/config3.sh << EOF

#!/bin/sh

# Clear settings for checkboxes and buttons
ENABLE=""
REGISTER=""
BUTTON=""

# Clear the dhcp test status message
rm /tmp/gatewaystatus.txt


# Get Field-Value pairs from QUERY_STRING enironment variable
# set by the form GET action
# Cut into individual strings: Field=Value


`echo $QUERY_STRING | cut -d \& -f 1`
`echo $QUERY_STRING | cut -d \& -f 2`
`echo $QUERY_STRING | cut -d \& -f 3`
`echo $QUERY_STRING | cut -d \& -f 4`
`echo $QUERY_STRING | cut -d \& -f 5`
`echo $QUERY_STRING | cut -d \& -f 6`
`echo $QUERY_STRING | cut -d \& -f 7`
`echo $QUERY_STRING | cut -d \& -f 8`
`echo $QUERY_STRING | cut -d \& -f 9`
`echo $QUERY_STRING | cut -d \& -f 10`
`echo $QUERY_STRING | cut -d \& -f 11`
`echo $QUERY_STRING | cut -d \& -f 12`
`echo $QUERY_STRING | cut -d \& -f 13`
`echo $QUERY_STRING | cut -d \& -f 14`
`echo $QUERY_STRING | cut -d \& -f 15`
`echo $QUERY_STRING | cut -d \& -f 16`
`echo $QUERY_STRING | cut -d \& -f 17`
`echo $QUERY_STRING | cut -d \& -f 18`
`echo $QUERY_STRING | cut -d \& -f 19`
`echo $QUERY_STRING | cut -d \& -f 20`


# Refresh screen without saving 
if [ \$BUTTON = "Refresh" ]; then
	exit
fi

# Test for Gateway
if [ \$BUTTON = "Test" ]; then
	/bin/testgw.sh
	exit
fi

# Change password, save the result and prepare status message
if [ \$BUTTON = "Set+Password" ]; then
	date > /tmp/setpassword.txt
	(echo \$PASSWORD1; sleep 1; echo \$PASSWORD2) | passwd >> /tmp/setpassword.txt
	cat /tmp/setpassword.txt | grep change > /tmp/passwordstatus.txt
	exit
fi

# Set up the 'hash' character in Dialout prefix
if [ \$DIALOUT = "%23" ]; then
	DIALOUT="#"
fi

# Write the Field values into the SECN config settings

# Write br_lan network settings into /etc/config/network
uci set network.lan.ipaddr=\$BR_IPADDR
uci set network.lan.gateway=\$BR_GATEWAY

# Write the Access Point wifi settings into /etc/config/secn
uci set secn.accesspoint.ssid=\$SSID
uci set secn.accesspoint.passphrase=\$PASSPHRASE
 
# Write the wireless channel into /etc/config/wireless
# to be the same for ath1 AP and ath0 mesh interface
uci set wireless.wifi0.channel=\$CHANNEL

# Write the Asterisk settings into /etc/config/secn
uci set secn.asterisk.host=\$HOST
uci set secn.asterisk.reghost=\$HOST     # Make REGHOST the same as HOST
uci set secn.asterisk.secret=\$SECRET
uci set secn.asterisk.username=\$USER
uci set secn.asterisk.fromusername=\$USER
uci set secn.asterisk.enable=\$ENABLE
uci set secn.asterisk.register=\$ENABLE  # If Sip is enabled, then Register as well
uci set secn.asterisk.dialout=\$DIALOUT

# Commit the settings into /etc/config/ files
uci commit secn
uci commit network
uci commit wireless

# Create new config files
/etc/init.d/config_secn > /dev/null
# Make sure file writing is complete
sleep 2

# Save and Reboot the MP
if [ \$BUTTON = "Save+and+Reboot" ]; then
	# Output the reboot screen
	cat /www/cgi-bin/config/html/reboot.html
	reboot
fi

# Save and Restart Asterisk
if [ \$BUTTON = "Save+and+Restart+Asterisk" ]; then
	/etc/init.d/asterisk restart > /dev/null &
	# Allow time to register
	sleep 5
fi

EOF
#-------------------------------------------------

# Make the file executable and run it to update the config settings.
chmod +x /tmp/config3.sh
/tmp/config3.sh

# Build the configuration screen and send it back to the browser.
/www/cgi-bin/secn


