#!/bin/sh

# /www/cgi-bin/config/config4.sh  
# This script gets the secn, network, dhcp and wireless advanced configuration values
# then generates the config4.html page file
# which will display the current configuration values.

### Set up Config page
# Remove old html file
####rm /tmp/config4.html >> /dev/null

# Get the Asterisk and Access Point confg parameters 
# from config file /etc/config/secn

# Asterisk configuration parameters
ENABLE=`uci get secn.asterisk.enable`
REGISTER=`uci get secn.asterisk.register`
HOST=`uci get secn.asterisk.host`
REGHOST=`uci get secn.asterisk.reghost`
SECRET=`uci get secn.asterisk.secret`
USERNAME=`uci get secn.asterisk.username`
#FROMUSERNAME=`uci get secn.asterisk.fromusername`
DIALOUT=`uci get secn.asterisk.dialout`
CODEC1=`uci get secn.asterisk.codec1`
CODEC2=`uci get secn.asterisk.codec2`
CODEC3=`uci get secn.asterisk.codec3`
EXTERNIP=`uci get secn.asterisk.externip`
LOCALNET=`uci get secn.asterisk.localnet`
LOCALNETMASK=`uci get secn.asterisk.localnetmask`
ENABLENAT=`uci get secn.asterisk.enablenat`

# Access Point configuration parameters
SSID=`uci get secn.accesspoint.ssid`
ENCRYPTION=`uci get secn.accesspoint.encryption`
WPA_KEY_MGMT=`uci get secn.accesspoint.wpa_key_mgmt`
PASSPHRASE=`uci get secn.accesspoint.passphrase`
WPA_MODE=`uci get secn.accesspoint.wpa_mode`

# DHCP configuration parameters
DHCP_ENABLE=`uci get secn.dhcp.enable`
STARTIP=`uci get secn.dhcp.startip`
ENDIP=`uci get secn.dhcp.endip`
MAXLEASES=`uci get secn.dhcp.maxleases`
LEASETERM=`uci get secn.dhcp.leaseterm`
DOMAIN=`uci get secn.dhcp.domain`
OPTION_DNS=`uci get secn.dhcp.dns`
OPTION_SUBNET=`uci get secn.dhcp.subnet`
OPTION_ROUTER=`uci get secn.dhcp.router`

# MPGW setting
MPGW=`uci get secn.mpgw.mode`
# TIMEZONE setting
TZNAME=`uci get system.@system[0].zonename`
TZ=`uci get system.@system[0].timezone`
TIMEZONE="${TZNAME}:${TZ}"

# Get network settings from /etc/config/network and wireless

# br_lan configuration parameters
BR_IPADDR=`uci get network.lan.ipaddr`
BR_DNS=`uci get network.lan.dns`
BR_GATEWAY=`uci get network.lan.gateway`
BR_NETMASK=`uci get network.lan.netmask`

# ath0 configuration parameters
ATH0_IPADDR=`uci get network.wifi0.ipaddr`
ATH0_NETMASK=`uci get network.wifi0.netmask`
ATH0_MTU=`uci get network.wifi0.mtu`

CHANNEL=`uci get wireless.wifi0.channel`
ATH0_COUNTRY=`uci get wireless.wifi0.country`
ATH0_SSID=`uci get wireless.mesh.ssid`
ATH0_TXPOWER=`uci get wireless.mesh.txpower`
ATH0_BSSID=`uci get wireless.mesh.bssid`

# Get Asterisk registration status
REG_STATUS=`asterisk -rnx "sip show registry" | grep Registered | awk '{print $4;}'`
REG_ACCT=`asterisk -rnx "sip show registry"   | grep Registered | awk '{print $1;}'`

if [ $REG_STATUS = "Registered"  ]; then
# Display Not Registered status
REG_STATUS="Registered Acct"
else
REG_STATUS="Not Registered"
fi

# Generate the new config page
# Everything from here to EOF will be written to the temporary html page file
# The HTML is in config4.html

source /www/cgi-bin/config/html/config4.html



